#include <iostream>

using namespace std;

char karakter(string sseq){
    char zamena;
    int brojPuta;
    for(int k = 0; k < sseq.size(); k++){
        char char_temp;
        int int_temp = 0;

        for(int l = 0; l < sseq.size(); l++){
            if(sseq[k] == sseq[l]){
                char_temp = sseq[k];
                int_temp++;
            }
        }
        if(int_temp < brojPuta){
            zamena = char_temp;
            brojPuta = int_temp;
        }
    }
    return zamena;
}

int main()
{
    string S, T;

    cin >> T;
    cin >> S;

    int M = S.size(), N = T.size(), izlazniBroj = 0;

    int ms, me;
    char temp;
    for(int i = 0, j = 0; i < T.size(); i++){
        if(T[i] == S[j]){
            temp = S[j];

            j++;
            if(j == 1){
                ms = i;
            }
            if(j == M){
                int fa = 0;
                for(int k = i; k < T.size(); k++){
                    if(T[k] == S[j-1]){
                        fa++;
                    }
                    else{
                        k = T.size() + 1;
                    }
                }

                me = i + fa - 1;

                j = 0;

                string sseq;
                for(int k = ms, brj = 0; k <= me; k++){
                    sseq += T[k];
                    brj++;
                }

                char mzamena = karakter(sseq);

                for(int k = ms; k <= me + 1; k++){
                    if(T[k] == mzamena){
                        izlazniBroj++;
                        T[k] = '*';
                    }
                }



            }
        }
        else if(T[i] == temp){

        }
        else{
            j = 0;
        }


    }


    cout << izlazniBroj << endl;
    cout << T << endl;

    return 0;
}